### Enumeration

# GLib FormatSizeFlags

since: 2.0

#### Declaration

    flags GLib.FormatSizeFlags

#### Description

Flags to modify the format of the string returned by g_format_size_full().

Available since: 2.0

#### Members

`G_FORMAT_SIZE_DEFAULT`

  Behave the same as `g_format_size()`

  - Value: `0`
  - Nickname: `None`
  - Available since: 2.0
`G_FORMAT_SIZE_LONG_FORMAT`

  Include the exact number of bytes as part of the returned string. For example, “45.6 kB (45,612 bytes)”.

  - Value: `1`
  - Nickname: `None`
  - Available since: 2.0
`G_FORMAT_SIZE_IEC_UNITS`

  Use IEC (base 1024) units with “KiB”-style suffixes. IEC units should only be used for reporting things with a strong “power of 2” basis, like RAM sizes or RAID stripe sizes. Network and storage sizes should be reported in the normal SI units.

  - Value: `2`
  - Nickname: `None`
  - Available since: 2.0
`G_FORMAT_SIZE_BITS`

  Set the size as a quantity in bits, rather than bytes, and return units in bits. For example, ‘Mbit’ rather than ‘MB’.

  - Value: `4`
  - Nickname: `None`
  - Available since: 2.0
`G_FORMAT_SIZE_ONLY_VALUE`

  Return only value, without unit; this should not be used together with `G_FORMAT_SIZE_LONG_FORMAT` nor `G_FORMAT_SIZE_ONLY_UNIT`. Since: 2.74

  - Value: `8`
  - Nickname: `None`
  - Available since: 2.0
`G_FORMAT_SIZE_ONLY_UNIT`

  Return only unit, without value; this should not be used together with `G_FORMAT_SIZE_LONG_FORMAT` nor `G_FORMAT_SIZE_ONLY_VALUE`. Since: 2.74

  - Value: `16`
  - Nickname: `None`
  - Available since: 2.0